none
Can't install PowerShell v4 RRS feed

  • Question

  • Good day

    My OS is Win7 sp1. i had powershell v1. i intended to upgrade to powershell v4, so i downloaded and installed (no errors)

    x86: Windows6.1-KB2819745-x86.msu (Windows Management Framework 4.0)

    But still when i start Powershell ise from the menu i see a v1 interface and i checked the folder C:\Windows\System32\Powershell i could only see v1.0 in it.

    How can i install v4 of PowerShell?

    Regards

    Kamil

    Wednesday, July 9, 2014 12:29 PM

Answers

All replies

  • Hi,

    It's tricky, you will always see v1.0

    When you start PowerShell, you can use

    get-host

    In the output you will notice version, which will tell you the version of PowerShell you are using.

    Hope this helps.

    Wednesday, July 9, 2014 1:35 PM
  • Good day.

    Thank you.

    i issue get-host, and this is the output:

    Name             : Windows PowerShell ISE Host
    Version          : 2.0
    InstanceId       : edee2dfb-3371-46e6-80d5-ac571ef01980
    UI               : System.Management.Automation.Internal.Host.InternalHostUserInterface
    CurrentCulture   : ru-RU
    CurrentUICulture : ru-RU
    PrivateData      : Microsoft.PowerShell.Host.ISE.ISEOptions
    IsRunspacePushed : False
    Runspace         : System.Management.Automation.Runspaces.LocalRunspace

    What can i do in this situation?

    Regards

    Kamil

    Thursday, July 10, 2014 2:13 PM
  • Hi Kamil,

    Installing this should update your PowerShell to version 4.0

    http://www.microsoft.com/en-us/download/details.aspx?id=40855

    .NET framework 4.5 is mandatory, you can find that here:

    http://www.microsoft.com/download/details.aspx?id=30653

    You are already running Windows 7 SP1, so all should be fine.

    • Proposed as answer by Leon Hament Thursday, July 10, 2014 5:07 PM
    • Marked as answer by Koan_om Thursday, September 4, 2014 11:27 AM
    Thursday, July 10, 2014 2:21 PM
  • Thank you very much.

    i downloaded and installed Net Framework 4.5.2

    Then successfully reinstalled PowerShell 4.0

    All the best

    Kamil

    Thursday, July 10, 2014 4:48 PM